// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function dynpeak_set_pars(pars)
  frame=gcbo.parent
  E=frame.children(frame.children.style=="edit")
  for k=1:size(E,'*')
    h=E(k)
    if or(h.tag==["globalreltol"  "threepointtol"]) then
      h.string= string(pars(h.tag)*100)
    elseif h.tag=="Range" then
      uncertainty=string(diag([1 100])*pars.uncertainty)
      u=part(uncertainty(:,1),1:max(length(uncertainty(:,1))))
      for k=2:size(uncertainty,2)
        u=u+', '+part(uncertainty(:,k),1:max(length(uncertainty(:,k))))
      end
      h.string= "["+u(1)+"]"
    elseif h.tag=="CV" then
      uncertainty=string(diag([1 100])*pars.uncertainty)
      u=part(uncertainty(:,1),1:max(length(uncertainty(:,1))))
      for k=2:size(uncertainty,2)
        u=u+','+part(uncertainty(:,k),1:max(length(uncertainty(:,k))))
      end
      h.string= "["+u(2)+"]"
    else
      h.string= string(pars(h.tag))
    end
  end
endfunction

